package cm_omc

import (
	"be.ems/src/framework/middleware"
	"github.com/gin-gonic/gin"
)

// Register Routes for file_export
func Register(r *gin.RouterGroup) {
	cmOMC := r.Group("/omc")
	{
		var o *ConfigOMC
		cmOMC.GET("/config/:paramName",
			middleware.PreAuthorize(nil),
			o.Get,
		)
		cmOMC.POST("/config/:paramName",
			middleware.PreAuthorize(nil),
			o.Post,
		)
		cmOMC.PUT("/config/:paramName",
			middleware.PreAuthorize(nil),
			o.Put,
		)
		cmOMC.DELETE("/config/:paramName",
			middleware.PreAuthorize(nil),
			o.Delete,
		)
	}
}
